Debian Bug report logs - #562697
ITA: dpatch -- Debian patch management system

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Junichi Uekawa <dancer@netfort.gr.jp>

Date: Sun, 27 Dec 2009 03:03:01 UTC

Owned by: Gergely Nagy <algernon@madhouse-project.org>

Severity: normal

Fixed in version dpatch/2.0.32

Done: Gergely Nagy <algernon@madhouse-project.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dancer@debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#562697; Package wnpp. (Sun, 27 Dec 2009 03:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
New Bug report received and forwarded. Copy sent to dancer@debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>. (Sun, 27 Dec 2009 03:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: dpatch -- Debian patch management system
Date: Sun, 27 Dec 2009 12:00:09 +0900
Package: wnpp
Severity: normal


I have lost interest in this package, and I don't think the other
co-maintainers have contributed at all in the past few years.

This package is still widely used, and I think this deserves better
looking-after.

I'm asking for adoption of dpatch package.


regards,
	junichi
-- 
dancer@{netfort.gr.jp,debian.org}




Changed Bug title to 'ITA: dpatch -- Debian patch management system' from 'RFA: dpatch -- Debian patch management system' Request was from Carlos Eduardo Sotelo Pinto <krlos.aqp@gmail.com> to control@bugs.debian.org. (Sun, 10 Oct 2010 21:51:03 GMT) Full text and rfc822 format available.

Owner recorded as krlos.aqp@gmail.com. Request was from Carlos Eduardo Sotelo Pinto <krlos.aqp@gmail.com> to control@bugs.debian.org. (Sun, 10 Oct 2010 21:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, krlos.aqp@gmail.com:
Bug#562697; Package wnpp. (Wed, 27 Jul 2011 16:31:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, krlos.aqp@gmail.com. (Wed, 27 Jul 2011 16:31:05 GMT) Full text and rfc822 format available.

Message #14 received at 562697@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 562697@bugs.debian.org
Cc: control@bugs.debian.org
Subject: dpatch: changing back from ITA to O
Date: Wed, 27 Jul 2011 18:02:28 +0200
retitle 562697 O: dpatch -- Debian patch management system
noowner 562697
thanks

Hi,

This is an automatic email to change the status of dpatch back from ITA
(Intent to Adopt) to O (Orphaned), because this bug hasn't seen any activity
during the last 6 months.

If you are still interested in adopting dpatch, please send a mail to
<control@bugs.debian.org> with:

 retitle 562697 ITA: dpatch -- Debian patch management system
 owner 562697 !
 thanks

However, it is not recommended to keep ITA for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
adopting the package. It is also a good idea to document your progress on this
ITA from time to time, by mailing <562697@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'O: dpatch -- Debian patch management system' from 'ITA: dpatch -- Debian patch management system' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:46:24 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by krlos.aqp@gmail.com. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:46:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#562697; Package wnpp. (Wed, 27 Jul 2011 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@madhouse-project.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 17:36:03 GMT) Full text and rfc822 format available.

Message #23 received at 562697@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: control@bugs.debian.org
Cc: 562697@bugs.debian.org
Subject: My preciousss..
Date: Wed, 27 Jul 2011 19:34:31 +0200
retitle 562697 ITA: dpatch -- Debian patch management system
owner !
thanks

I maintained dpatch for a while in the past, and I'm one of the people
responsible for the package's existence. Therefore, I would like to be
the one to request its removal when it is due.

Until then, I intend to take good care of this old, trusty beast.

-- 
|8]




Changed Bug title to 'ITA: dpatch -- Debian patch management system' from 'O: dpatch -- Debian patch management system' Request was from Gergely Nagy <algernon@madhouse-project.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 17:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#562697; Package wnpp. (Sat, 13 Aug 2011 12:58:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@madhouse-project.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 13 Aug 2011 12:58:21 GMT) Full text and rfc822 format available.

Message #30 received at 562697@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: 562697@bugs.debian.org
Cc: Debian BTS control <control@bugs.debian.org>
Subject: progress
Date: Sat, 13 Aug 2011 14:33:29 +0200
owner 562697 !
thanks

I started to clean up the bug reports, closed a few, tagged others,
applied fixes from another bunch.

The current state is available from my git repo at
http://git.madhouse-project.org/debian/dpatch/

There's still a dozen more bugs I need to wade through, but there's
progress already!

-- 
|8]




Owner recorded as Gergely Nagy <algernon@madhouse-project.org>. Request was from Gergely Nagy <algernon@madhouse-project.org> to control@bugs.debian.org. (Sat, 13 Aug 2011 12:58:37 GMT) Full text and rfc822 format available.

Reply sent to Gergely Nagy <algernon@madhouse-project.org>:
You have taken responsibility. (Sun, 21 Aug 2011 17:36:40 GMT) Full text and rfc822 format available.

Notification sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Bug acknowledged by developer. (Sun, 21 Aug 2011 17:36:40 GMT) Full text and rfc822 format available.

Message #37 received at 562697-close@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: 562697-close@bugs.debian.org
Subject: Bug#562697: fixed in dpatch 2.0.32
Date: Sun, 21 Aug 2011 17:32:18 +0000
Source: dpatch
Source-Version: 2.0.32

We believe that the bug you reported is fixed in the latest version of
dpatch, which is due to be installed in the Debian FTP archive:

dpatch_2.0.32.dsc
  to main/d/dpatch/dpatch_2.0.32.dsc
dpatch_2.0.32.tar.gz
  to main/d/dpatch/dpatch_2.0.32.tar.gz
dpatch_2.0.32_all.deb
  to main/d/dpatch/dpatch_2.0.32_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562697@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gergely Nagy <algernon@madhouse-project.org> (supplier of updated dpatch package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Aug 2011 11:43:30 +0200
Source: dpatch
Binary: dpatch
Architecture: source all
Version: 2.0.32
Distribution: unstable
Urgency: low
Maintainer: Gergely Nagy <algernon@madhouse-project.org>
Changed-By: Gergely Nagy <algernon@madhouse-project.org>
Description: 
 dpatch     - patch maintenance system for Debian source packages
Closes: 328730 330594 342774 355278 372787 388658 391776 400888 403903 405493 407306 445179 449190 456919 466364 473680 481237 559168 562697 573567
Changes: 
 dpatch (2.0.32) unstable; urgency=low
 .
   * New Maintainer (Closes: #562697).
   * Add build-arch and build-indep targets, as suggested by Lintian.
   * Bump Standards-Version to 3.9.2.
   * Convert to format "3.0 (native)".
   * Update the Vcs-* fields.
   * Convert debian/changelog to DEP-5 format.
   * Include documentation to work with debian/-only VCS layouts. Thanks,
     Daniel Leidert! (Closes: #449190)
   * Bugs fixed:
     + dpatch-edit-patch now allows colons in directory names. Patch from
       Sandro Tosi <matrixhasu@gmail.com> (Closes: #405493).
     + dpatch-edit-patch accepts the (documented) -r option
       (Closes: #388658).
     + Depend on dpkg-dev, for dpkg-architecture (Closes: #473680).
     + Print errors to stderr (Closes: #559168).
     + dpatch.make correctly sets the patch and unpatch targets as .PHONY
       (Closes: #456919).
     + CPP mode sets DEB_BUILD_ARCH_$arch correctly on non-linux archs
       (Closes: #355278).
     + Corrected dpatch(1) to make the patch/unpatch aliases clear
       (Closes: #372787).
     + Fixed documentation of how dpatch-edit-patch determines the author's
       name (Closes: #407306).
     + dpatch-edit-patch now properly respects $DPEP_TMPDIR
       (Closes: #403903).
     + dpatch-edit-patch now properly detects upstream versions with a
       hyphen (Closes: #445179).
   * New features:
     + dpatch-edit-patch can pass extra options to diff (via the
       DPEP_DIFF_OPTIONS environment variable, or -O command-line option)
       (Closes: #330594).
     + debhelper 7 (dh) support added, patch from Hideki Yamane (Debian-JP)
       <henrich@debian.or.jp> (Closes: #573567)
     + dpatches using dpatch.lib.sh's default patching mechanism will now
       also reset the timestamps of all patched files to be the same accross
       all files, if patchutils is installed (Closes: #466364).
     + dpatch-convert-diffgz now accepts PATCHNO_PATCHNAME format arguments
       too, similar to dpatch-edit-patch (Closes: #328730).
     + dpatch.make's patch target can now (optionally) depend on other make
       targets (Closes: #400888).
     + dpatch-edit-patch now export two variables to the subshell:
       DPEP_SHELL_REFDIR and DPEP_SHELL_WORKDIR (see the manual for details)
       (Closes: #481237).
     + dpatch-edit-patch can now (optionally) remove timestamps from the
       diffs it generates. See the manual page for details
       (Closes: #342774).
   * Features removed:
     + dpatch-get-origtargz is gone. With debian/rules get-orig-source and
       uupdate, it is of no use anymore. It was a source of bugs, however,
       and did not work with anything else but tar.gz archives.
       (Closes: #391776)
     + dpatch-cowdancer-patch was removed aswell, because due to the
       dpatch-get-origtargz removal, it would've needed an update. But I
       never used it, don't understand it, and would rather remove a tool
       than ship a broken one.
     + dpatch-edit-patch does not automatically attempt to fetch the
       original tarball when called with the -b option. It will still try
       to execute any hooks set, however.
Checksums-Sha1: 
 e6e2164013b1098b43729ccff10e8f35719f3f42 824 dpatch_2.0.32.dsc
 1a55e76b2dc39dbad85579556b4ccf9785e7bf47 91745 dpatch_2.0.32.tar.gz
 7a067ef042801d1ad71aa86417e1b1d2e885e219 94802 dpatch_2.0.32_all.deb
Checksums-Sha256: 
 ed19b18db2bc7753fdda5a237a7539019db749f6b8aaae82679cd02692618824 824 dpatch_2.0.32.dsc
 1eb7d9a350fe5ca70fc48a015bcbde34ca2d4bff2520b94a31ba9eafdb5bb473 91745 dpatch_2.0.32.tar.gz
 13f23f26926eb49f635c0a74e8f67b04a13eedc07ab6352dcf4cadb3a38b8d6e 94802 dpatch_2.0.32_all.deb
Files: 
 90c8ad2b4740c2ed1e768f0f7cb83fef 824 vcs optional dpatch_2.0.32.dsc
 620a416de1edf4cc37f58c4f9100e804 91745 vcs optional dpatch_2.0.32.tar.gz
 9e04cf56e613778b68ec8093d742f4bc 94802 vcs optional dpatch_2.0.32_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEUEARECAAYFAk5RP9kACgkQMDatjqUaT935ZQCdELDykLpUuKkG1G74d/frv/aM
A3AAmIsvak8Z4PTINfq0J10SFmh1G70=
=ifVK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Sep 2011 07:32:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:45:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.